<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<%
CommerceChannelDisplayContext commerceChannelDisplayContext = (CommerceChannelDisplayContext)request.getAttribute(WebKeys.PORTLET_DISPLAY_CONTEXT);

CommerceChannel commerceChannel = commerceChannelDisplayContext.getCommerceChannel();
%>

<liferay-portlet:renderURL var="editCommerceChannelExternalReferenceCodeURL" windowState="<%= LiferayWindowState.POP_UP.toString() %>">
	<portlet:param name="mvcRenderCommandName" value="/commerce_channels/edit_commerce_channel_external_reference_code" />
	<portlet:param name="commerceChannelId" value="<%= String.valueOf(commerceChannel.getCommerceChannelId()) %>" />
</liferay-portlet:renderURL>

<commerce-ui:header
	actions="<%= commerceChannelDisplayContext.getHeaderActionModels() %>"
	bean="<%= commerceChannel %>"
	beanIdLabel="id"
	externalReferenceCode="<%= commerceChannel.getExternalReferenceCode() %>"
	externalReferenceCodeEditUrl="<%= editCommerceChannelExternalReferenceCodeURL %>"
	model="<%= CommerceChannel.class %>"
	thumbnailUrl='<%= PortalUtil.getPortalURL(request) + PortalUtil.getPathContext() + "/o/commerce-channel-web/images/channel-default-icon.svg" %>'
	title="<%= commerceChannel.getName() %>"
/>

<div id="<portlet:namespace />editChannelContainer">
	<liferay-frontend:screen-navigation
		containerWrapperCssClass="container mt-4"
		key="<%= CommerceChannelScreenNavigationConstants.SCREEN_NAVIGATION_KEY_COMMERCE_CHANNEL_GENERAL %>"
		modelBean="<%= commerceChannel %>"
		portletURL="<%= currentURLObj %>"
	/>
</div>