<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/instance/init.jsp" %>

<%
String redirect = ParamUtil.getString(request, "redirect");

long assetEntryId = ParamUtil.getLong(request, "assetEntryId");

String type = ParamUtil.getString(request, "type");

AssetRendererFactory<?> assetRendererFactory = AssetRendererFactoryRegistryUtil.getAssetRendererFactoryByType(type);

AssetEntry assetEntry = assetRendererFactory.getAssetEntry(assetEntryId);

long assetEntryVersionId = ParamUtil.getLong(request, "assetEntryVersionId");

AssetRenderer<?> assetRenderer = assetRendererFactory.getAssetRenderer(assetEntryVersionId, AssetRendererFactory.TYPE_LATEST);

request.setAttribute(WebKeys.WORKFLOW_ASSET_PREVIEW, Boolean.TRUE);

portletDisplay.setShowBackIcon(true);
portletDisplay.setURLBack(redirect);

renderResponse.setTitle(assetRenderer.getTitle(locale));
%>

<clay:container-fluid
	cssClass="container-view"
>
	<clay:col
		cssClass="lfr-asset-column lfr-asset-column-details"
		md="12"
	>
		<div class="card">
			<div class="panel-body">
				<div class="instance-content-container">
					<c:if test="<%= assetEntry != null %>">
						<liferay-asset:asset-display
							assetEntry="<%= assetEntry %>"
							assetRenderer="<%= assetRenderer %>"
							assetRendererFactory="<%= assetRendererFactory %>"
							showExtraInfo="<%= workflowInstanceViewDisplayContext.isShowExtraInfo() %>"
						/>

						<%
						WorkflowHandler<?> workflowHandler = WorkflowHandlerRegistryUtil.getWorkflowHandler(assetRenderer.getClassName());

						String viewInContextURL = workflowHandler.getURLViewInContext(assetRenderer.getClassPK(), liferayPortletRequest, liferayPortletResponse, null);
						%>

						<c:if test="<%= viewInContextURL != null %>">
							<div class="asset-more">
								<aui:a href="<%= viewInContextURL %>"><liferay-ui:message key="view-in-context" /> &raquo;</aui:a>
							</div>
						</c:if>
					</c:if>
				</div>
			</div>
		</div>
	</clay:col>
</clay:container-fluid>