<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<%
ServerDisplayContext serverDisplayContext = new ServerDisplayContext(request, renderResponse);
%>

<clay:navigation-bar
	navigationItems="<%= serverDisplayContext.getServerNavigationItems() %>"
/>

<div class="<%= (tabs1.equals("log-levels") || tabs1.equals("properties")) ? StringPool.BLANK : "container-fluid container-fluid-max-xl mt-3" %>">
	<c:choose>
		<c:when test='<%= tabs1.equals("data-migration") %>'>
			<liferay-util:include page="/data_migration.jsp" servletContext="<%= application %>" />
		</c:when>
		<c:when test='<%= tabs1.equals("external-services") %>'>
			<liferay-util:include page="/external_services.jsp" servletContext="<%= application %>" />
		</c:when>
		<c:when test='<%= tabs1.equals("log-levels") %>'>
			<liferay-util:include page="/log_levels.jsp" servletContext="<%= application %>" />
		</c:when>
		<c:when test='<%= tabs1.equals("mail") %>'>
			<liferay-util:include page="/mail.jsp" servletContext="<%= application %>" />
		</c:when>
		<c:when test='<%= tabs1.equals("properties") %>'>
			<liferay-util:include page="/properties.jsp" servletContext="<%= application %>" />
		</c:when>
		<c:when test='<%= tabs1.equals("script") %>'>
			<liferay-util:include page="/script.jsp" servletContext="<%= application %>" />
		</c:when>
		<c:when test='<%= tabs1.equals("shutdown") %>'>
			<liferay-util:include page="/shutdown.jsp" servletContext="<%= application %>" />
		</c:when>
		<c:otherwise>
			<liferay-util:include page="/resources.jsp" servletContext="<%= application %>" />
		</c:otherwise>
	</c:choose>
</div>