<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<%
User selUser = (User)request.getAttribute(UsersAdminWebKeys.SELECTED_USER);
%>

<aui:model-context bean="<%= selUser %>" model="<%= User.class %>" />

<liferay-ui:error-marker
	key="<%= WebKeys.ERROR_SECTION %>"
	value="categorization"
/>

<liferay-asset:asset-categories-error />

<liferay-asset:asset-tags-error />

<label class="control-label">
	<liferay-ui:message key="categorization" />
</label>

<div class="form-group">
	<liferay-asset:asset-categories-selector
		className="<%= User.class.getName() %>"
		classPK="<%= (selUser != null) ? selUser.getPrimaryKey() : 0 %>"
		visibilityTypes="<%= AssetVocabularyConstants.VISIBILITY_TYPES %>"
	/>
</div>

<div class="form-group">
	<liferay-asset:asset-tags-selector
		className="<%= User.class.getName() %>"
		classPK="<%= (selUser != null) ? selUser.getPrimaryKey() : 0 %>"
		groupIds="<%= new long[] {themeDisplay.getCompanyGroupId()} %>"
	/>
</div>